Bug 65520 - Python, pygtk, pygnome incompatibilities
Python, pygtk, pygnome incompatibilities
Product: Red Hat Raw Hide
Classification: Retired
Component: python (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-05-26 15:51 EDT by Alexander Farley
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-26 15:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2002-05-26 15:51:45 EDT
Description of Problem:
The pygtk-0.6.9-3 and pygnome-1.4.2-3 packages are incompatible with
python-2.2.1 packages leading to the failure of several programs that rely on
python and the gnome-python packages (i.e. Pintconf, Hardware browser,
serviceconf, etc.; essentially those packages that use python and glade to
create a gui).  Part of the problem is that pygtk and pygnome are compiled for
python-1.5 and not python-2.2, and thus are not put into the
python2.2/site-packages directory.  Mandrake's packages are compiled for
python-2.2, but result in similar errors.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Try to execute any package that use the gtk and glade python bindings.
2. Failure to execute to program.

3. For printconf the trace given is (I have installed Mandrake's pygtk and
pygnome,  but almost same trace as without the packages):
Traceback (most recent call last):
  File "/usr/sbin/printtool", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 89, in ?
    import gtk, gnome.ui, libglade, gnome.xmhtml
  File "/usr/lib/python2.2/site-packages/libglade.py", line 11, in ?
    class GladeXML(_gtk.GtkData):
AttributeError: 'module' object has no attribute 'GtkData'

For serviceconf the trace is:
Traceback (most recent call last):
  File "/usr/share/serviceconf/serviceconf.py", line 25, in ?
    import gnome.ui
line 16, in ?
AttributeError: 'module' object has no attribute '_obj2inst'

Actual Results:
The various programs dependent on python, pygtk, pygnome etc. fail to open.

Expected Results:
The various programs open.

Additional Information:
When I installed the 7.3 packages which are all compiled for python-1.5, the
programs work perfectly.
I do not know enough about python to fix the problems, but the references to the
classes in the files are usually present even though the system says that they
are not.
Comment 1 Bill Nottingham 2002-06-21 00:53:43 EDT
Fixed in current rawhide, in essence, as GNOME 1.4 python bindings are not there.

Note You need to log in before you can comment on or make changes to this bug.